package icsDyn;

/**
 * This class models a notification
 * @author Rick Rivello
 *
 */
public class NotificationNode extends DIMMOC {

   public NotificationNode() {}
	  
   public NotificationNode(NotificationNode nn) {
      this();
      notification_name            = nn.getNotificationName();
      notification_id              = nn.getNotificationId();
      noti_keynum                  = nn.getNotificationKeyNumber();
      noti_event_parameter         = nn.getNotificationEventParameter();
      noti_termcode                = nn.getNotificationTermCode();
      noti_ref                     = nn.getNotificationReference();
      noti_qual                    = nn.getNotificationQual();
      noti_status                  = nn.getNotificationStatus();
      noti_restrictions            = nn.getNotificationRestrictions();
      noti_comment                 = nn.getNotificationComment();
   }
   public String toString() {
      return notification_name;
   }
}
